Page MenuHomePhabricator

Web updater broken in extension registration
Closed, ResolvedPublic

Description

Web updater is broken in extension registration.

This way it works because CheckUser.php is not empty yet and doesent redirect o extension.json. Please see the one after this to find where problem happends.

steps to reproduce this step is

require_once ( "$IP/extensions/CheckUser/CheckUser.php" );

then go to mw-config on your website then go through step and click next on upgrade look through the log when the updater is finished there should be cu_ prefix meaning that the sql for checkuser was done.

This step is for extension.json to show difference.

steps to reproduce this step is

  • Add wfLoadExtension( 'CheckUser' ); to LocalSettings.php
  • Then once you have added it to LocalSettings.php go to mw-config
  • Follow through steps and when you get the final stage when it upgrades click next.
  • Once upgrade complete look through log for cu_ prefix in log if not found then there is problem with sql updater.

This is a problem with extension registration because if you use the old php file it works as long as it not redirected to extension.json/skin.json.

I am also having this problem with math at https://gerrit.wikimedia.org/r/#/c/187654/.

Please fix problem with web updater not working with extension registration.

Event Timeline

Paladox created this task.May 26 2015, 11:27 AM
Paladox updated the task description. (Show Details)
Paladox raised the priority of this task from to Needs Triage.
Paladox added subscribers: Paladox, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 11:27 AM
Paladox updated the task description. (Show Details)May 30 2015, 2:45 PM
Legoktm triaged this task as High priority.Jun 2 2015, 9:34 PM

Alright, this is caused by DatabaseUpdater::loadExtensions() doing evil global scope assumptions...fun.

Ok how could this get fix.

Paladox added a subscriber: Bawolff.Jun 3 2015, 3:28 PM

Hi what do you mean by DatabaseUpdater::loadExtensions() doing evil global scope assumptions and how can it get fixed.

Legoktm claimed this task.Jun 5 2015, 8:21 PM
Paladox added a comment.EditedJun 6 2015, 11:49 PM

Hi thanks for clamming this task to work on it.

Change 217420 had a related patch set uploaded (by Legoktm):
[WIP] Read extension.json files in the web updater

https://gerrit.wikimedia.org/r/217420

Kghbln added a subscriber: Kghbln.

@Legoktm could this be merged https://gerrit.wikimedia.org/r/#/c/217420/ and followed up with a separate patch to use autoload and GLOBALS. since it works currently and could let some extensions which use the web updater to be able to use the web updater again.

Change 227240 had a related patch set uploaded (by Paladox):
Read extension.json files in the web updater

https://gerrit.wikimedia.org/r/227240

Change 217420 merged by jenkins-bot:
Read extension.json files in the web updater

https://gerrit.wikimedia.org/r/217420

Change 227240 merged by jenkins-bot:
Read extension.json files in the web updater

https://gerrit.wikimedia.org/r/227240